/*
*********************************************
*											*
*			Astro const 					*
*											*
*********************************************
*/
#ifndef		_ASTRO_H
#define		_ASTRO_H

/*
=========================================
			astro constant
=========================================
*/
#define		GREGOR_YEARDAY	365.2425
#define		JULIAN_YEARDAY	365.25

#define		DAYSEC			86400.0
#define		DAYMIN			1440.0
#define		DAYHOUR			24.0

#define		DTAI_TT			32.184
#define		JD1977			2443144.5
#define		JD1972			2441317.5
#define		JD1977_TT		(JD1977 + DTAI_TT / DAYSEC)	
#define		CONST_LG		6.969290134e-10

/*
=========================================
			structer
=========================================
*/
/*
-----------------------------------------
		DATE
-----------------------------------------
*/
typedef struct tag_date{
	double	dYear;
	int nMonth;
	int nDay;
	double dDFrac;
} ADATE;

/*
-----------------------------------------
		TIME
-----------------------------------------
*/
typedef struct tag_time{
	int	nHour;
	int nMin;
	double dSec;
} ATIME;

/*
-----------------------------------------
		DATE & TIME
-----------------------------------------
*/
typedef struct tag_dt{
	ADATE date;
	ATIME time;
} DATETIME;

/*
-----------------------------------------
		LONG JD
-----------------------------------------
*/
typedef struct tag_ljd{
	double dDate;
	double dTime;
} LONGJD;


#endif
